package com.adealink.weparty.commonui.ext

const val GIF = ".gif"
const val SVGA = ".svga"
const val MP4 = ".mp4"
const val TCMP4 = ".tcmp4"
const val WEBP = ".webp"
const val MP3 = ".mp3"
const val M4A = ".m4a"
const val AAC = ".aac"
const val WAV = ".wav"

fun isMP4(path: String?): Boolean {
    return path?.endsWith(MP4, ignoreCase = true) ?: false
}

fun isGIFImage(path: String?): Boolean {
    return path?.endsWith(GIF, ignoreCase = true) ?: false
}

fun isSVGAImage(path: String?): Boolean {
    return path?.endsWith(SVGA, ignoreCase = true) ?: false
}

fun isTCMP4(path: String?): Boolean {
    return path?.endsWith(TCMP4, ignoreCase = true) ?: false
}

fun isMP3(path: String?): Boolean {
    return path?.endsWith(MP3, ignoreCase = true) ?: false
}

fun isM4A(path: String?): Boolean {
    return path?.endsWith(M4A, ignoreCase = true) ?: false
}

fun isAAC(path: String?): Boolean {
    return path?.endsWith(AAC, ignoreCase = true) ?: false
}

fun isWAV(path: String?): Boolean {
    return path?.endsWith(WAV, ignoreCase = true) ?: false
}